Skip to main content
GET
/
api
/
v1
/
console
/
agents
/
{agentId}
/
conversations
List conversations
curl --request GET \
  --url https://api.bimpe.ai/api/v1/console/agents/{agentId}/conversations \
  --header 'Authorization: Bearer <token>'
{
  "message": "Success",
  "data": [
    {
      "id": "<string>",
      "channel_type": "<string>",
      "channel_id": "<string>",
      "is_test_channel": true,
      "full_name": "<string>",
      "email": "<string>",
      "phone_number": "<string>",
      "channel_username": "<string>",
      "is_ai_chat_paused": true,
      "last_message_at": "2023-11-07T05:31:56Z",
      "last_message_preview": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "total_count": 42,
    "page_count": 3,
    "current_page": 1,
    "limit": 20,
    "has_next_page": true,
    "has_previous_page": true
  }
}

Authorizations

Authorization
string
header
required

Team API key (prefix sk_). Use Authorization: Bearer or X-Api-Key: .

Path Parameters

agentId
string
required
Maximum string length: 50

Query Parameters

page
integer
default:1
Required range: x >= 1
limit
integer
default:20
Required range: 1 <= x <= 100
Maximum string length: 255
channel
enum<string>
Available options:
whatsapp,
messenger,
instagram,
webchat,
test_whatsapp,
test_messenger,
test_instagram

Response

Paginated list of conversations

message
string
required
Example:

"Success"

data
object[]
required
meta
object
required